Validate a custom domain
curl --request POST \
--url https://api.pocketflows.com/custom_domains/{id}/validate \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pocketflows.com/custom_domains/{id}/validate"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pocketflows.com/custom_domains/{id}/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"business": "<string>",
"domain": "<string>",
"dns_records": [
{
"name": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"created_at": "<string>",
"validated": true,
"setup_completed_at": "<string>",
"setup_type": "<string>"
}Custom domains
Validate a custom domain
POST
/
custom_domains
/
{id}
/
validate
Validate a custom domain
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the custom domain
Response
200 - application/json
The CustomDomain object with updated validation status
The ID of the custom domain
The ID of the business
The domain name
The DNS records for the domain
Show child attributes
Show child attributes
The date and time the custom domain was created
Whether the domain is valid
The date and time setup was completed
The type of setup (automatic or manual)